SET DB_CLOSE_DELAY -1;         
;              
CREATE USER IF NOT EXISTS SA SALT '56a809e699ea80c3' HASH '952d63be924dfd41cc6f9dd72d9cbb1cb47a894811ae49c0c5d59c6f03b310ca' ADMIN;
CREATE SEQUENCE PUBLIC.HIBERNATE_SEQUENCE START WITH 1;        
CREATE CACHED TABLE PUBLIC.CONFIRMATION(
    CONFIRMATIONKEY INTEGER NOT NULL,
    WHENABANDONED TIMESTAMP,
    WHENCONFIRMED TIMESTAMP,
    WHENDELIVERED TIMESTAMP,
    DESTINATION_NEIGHBORKEY INTEGER NOT NULL,
    SHIPPEDFILE_TICKETEDFILEKEY INTEGER NOT NULL
);        
ALTER TABLE PUBLIC.CONFIRMATION ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(CONFIRMATIONKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.CONFIRMATION;             
CREATE CACHED TABLE PUBLIC.DISPATCH(
    DISPATCHKEY INTEGER NOT NULL,
    COURSEEPOCHCOMPLETED BIGINT,
    FINEEPOCHCOMPLETED BIGINT,
    WHENABANDONED TIMESTAMP,
    WHENCOMPLETED TIMESTAMP,
    WHENSTARTED TIMESTAMP,
    DESTINATION_NEIGHBORKEY INTEGER NOT NULL,
    TICKETEDFILE_TICKETEDFILEKEY INTEGER NOT NULL
); 
ALTER TABLE PUBLIC.DISPATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(DISPATCHKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.DISPATCH; 
CREATE CACHED TABLE PUBLIC.ENTRY(
    ENTRYKEY INTEGER NOT NULL,
    IDENTITY VARCHAR(255),
    WHENLASTMODIFIED TIMESTAMP,
    COMPRESSEDPATH_PATHKEY INTEGER,
    DATAPATH_PATHKEY INTEGER,
    METAPATH_PATHKEY INTEGER,
    WRAPPEDPATH_PATHKEY INTEGER
); 
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.CONSTRAINT_3F PRIMARY KEY(ENTRYKEY);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY;    
CREATE CACHED TABLE PUBLIC.HIERARCHICALPATH(
    PATHKEY INTEGER NOT NULL,
    CACHEDPATH VARCHAR(255),
    NAME VARCHAR(255),
    PARENT_PATHKEY INTEGER NOT NULL
);          
ALTER TABLE PUBLIC.HIERARCHICALPATH ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(PATHKEY);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HIERARCHICALPATH;         
CREATE CACHED TABLE PUBLIC.INBOUNDREGISTRATION(
    REGISTRATIONKEY INTEGER NOT NULL,
    KNOWNNEIGHBOR_NEIGHBORKEY INTEGER NOT NULL
);        
ALTER TABLE PUBLIC.INBOUNDREGISTRATION ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(REGISTRATIONKEY);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.INBOUNDREGISTRATION;      
CREATE CACHED TABLE PUBLIC.KNOWNREGISTRATION(
    REGISTRATIONKEY INTEGER NOT NULL,
    LOCALID VARCHAR(255),
    WHENSUPERSEDED TIMESTAMP
);  
ALTER TABLE PUBLIC.KNOWNREGISTRATION ADD CONSTRAINT PUBLIC.CONSTRAINT_B PRIMARY KEY(REGISTRATIONKEY);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.KNOWNREGISTRATION;        
CREATE CACHED TABLE PUBLIC.LASTWATCHED(
    LASTWATCHEDKEY INTEGER NOT NULL,
    LASTDATETIME TIMESTAMP NOT NULL,
    ROLE VARCHAR(255) NOT NULL
);            
ALTER TABLE PUBLIC.LASTWATCHED ADD CONSTRAINT PUBLIC.CONSTRAINT_D PRIMARY KEY(LASTWATCHEDKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LASTWATCHED;              
CREATE CACHED TABLE PUBLIC.LOCALREGISTRATION(
    REGISTRATIONKEY INTEGER NOT NULL
);          
ALTER TABLE PUBLIC.LOCALREGISTRATION ADD CONSTRAINT PUBLIC.CONSTRAINT_74 PRIMARY KEY(REGISTRATIONKEY);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCALREGISTRATION;        
CREATE CACHED TABLE PUBLIC.NEIGHBOR(
    NEIGHBORKEY INTEGER NOT NULL,
    NAME VARCHAR(255)
);
ALTER TABLE PUBLIC.NEIGHBOR ADD CONSTRAINT PUBLIC.CONSTRAINT_6 PRIMARY KEY(NEIGHBORKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NEIGHBOR; 
CREATE CACHED TABLE PUBLIC.PLACEDFILE(
    COURSEEPOCHPLACED BIGINT,
    FINEEPOCHPLACED BIGINT,
    PLACEDSIZE BIGINT,
    PLACEMENTID VARCHAR(255),
    WHENPLACED TIMESTAMP,
    TICKETEDFILEKEY INTEGER NOT NULL
);        
ALTER TABLE PUBLIC.PLACEDFILE ADD CONSTRAINT PUBLIC.CONSTRAINT_D4 PRIMARY KEY(TICKETEDFILEKEY);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLACEDFILE;               
CREATE CACHED TABLE PUBLIC.POI(
    POINTOFINTERESTKEY INTEGER NOT NULL,
    LEVEL INTEGER,
    STATUS INTEGER,
    WHENOCCURRED TIMESTAMP,
    GUID_POIGUIDKEY INTEGER,
    TYPE_POITYPEKEY INTEGER
);        
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(POINTOFINTERESTKEY);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POI;      
CREATE CACHED TABLE PUBLIC.POIATTRIBUTE(
    POIATTRIBUTEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255),
    NAME_POIATTRIBUTENAMEKEY INTEGER,
    POINTOFINTEREST_POINTOFINTERESTKEY INTEGER
); 
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(POIATTRIBUTEKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTE;             
CREATE CACHED TABLE PUBLIC.POIATTRIBUTENAME(
    POIATTRIBUTENAMEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);               
ALTER TABLE PUBLIC.POIATTRIBUTENAME ADD CONSTRAINT PUBLIC.CONSTRAINT_3F4 PRIMARY KEY(POIATTRIBUTENAMEKEY);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTENAME;         
CREATE CACHED TABLE PUBLIC.POIGUID(
    POIGUIDKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POIGUID ADD CONSTRAINT PUBLIC.CONSTRAINT_12 PRIMARY KEY(POIGUIDKEY);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIGUID;  
CREATE CACHED TABLE PUBLIC.POITYPE(
    POITYPEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POITYPE ADD CONSTRAINT PUBLIC.CONSTRAINT_12E PRIMARY KEY(POITYPEKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POITYPE;  
CREATE CACHED TABLE PUBLIC.SEENITEM(
    SEENITEMKEY INTEGER NOT NULL,
    ITEM VARCHAR(256) NOT NULL,
    LASTWATCHED_LASTWATCHEDKEY INTEGER NOT NULL
);      
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_6A PRIMARY KEY(SEENITEMKEY);      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SEENITEM; 
CREATE CACHED TABLE PUBLIC.SHIPPEDFILE(
    TICKETEDFILEKEY INTEGER NOT NULL,
    ALGORITHM VARCHAR(255),
    CHECKSUM BIGINT,
    REMOTEREGISTRATION VARCHAR(255),
    REMOTETICKET VARCHAR(255),
    WHENABANDONED TIMESTAMP,
    WHENCONFIRMABLE TIMESTAMP,
    WHENVERIFICATIONCOMPLETED TIMESTAMP,
    WHENVERIFICATIONSTARTED TIMESTAMP
);               
ALTER TABLE PUBLIC.SHIPPEDFILE ADD CONSTRAINT PUBLIC.CONSTRAINT_BA PRIMARY KEY(TICKETEDFILEKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SHIPPEDFILE;              
CREATE CACHED TABLE PUBLIC.TICKETEDFILE(
    TICKETEDFILEKEY INTEGER NOT NULL,
    ARCHIVESUFFIX VARCHAR(255),
    BINARYSIZE BIGINT,
    BUNDLE VARCHAR(255) NOT NULL,
    COMPRESSEDSIZE BIGINT,
    METADATASIZE BIGINT,
    PACKEDSIZE BIGINT,
    WHENABANDONED TIMESTAMP,
    WHENARCHIVED TIMESTAMP,
    WHENBINARYSET TIMESTAMP,
    WHENCOMPRESSEDSET TIMESTAMP,
    WHENFLUSHED TIMESTAMP,
    WHENMETADATASET TIMESTAMP,
    WHENPACKEDSET TIMESTAMP,
    WHENRESTORED TIMESTAMP,
    WHENTICKETED TIMESTAMP,
    LOCALREGISTRATION_REGISTRATIONKEY INTEGER NOT NULL
);             
ALTER TABLE PUBLIC.TICKETEDFILE ADD CONSTRAINT PUBLIC.CONSTRAINT_2F PRIMARY KEY(TICKETEDFILEKEY);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TICKETEDFILE;             
ALTER TABLE PUBLIC.INBOUNDREGISTRATION ADD CONSTRAINT PUBLIC.FKSF5FSV6KK089EEL2208TOK3NY FOREIGN KEY(REGISTRATIONKEY) REFERENCES PUBLIC.KNOWNREGISTRATION(REGISTRATIONKEY) NOCHECK;            
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.FKBXSCKVWQM4GQQL5LAQ94QKIVU FOREIGN KEY(WRAPPEDPATH_PATHKEY) REFERENCES PUBLIC.HIERARCHICALPATH(PATHKEY) NOCHECK;               
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKT89QJ0M0JXAPDI0MYPKW02XGL FOREIGN KEY(NAME_POIATTRIBUTENAMEKEY) REFERENCES PUBLIC.POIATTRIBUTENAME(POIATTRIBUTENAMEKEY) NOCHECK;       
ALTER TABLE PUBLIC.DISPATCH ADD CONSTRAINT PUBLIC.FK9ETP5FOVA6PVQSAMLHORLDBQH FOREIGN KEY(DESTINATION_NEIGHBORKEY) REFERENCES PUBLIC.NEIGHBOR(NEIGHBORKEY) NOCHECK;            
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.FKFW3E5CHHTRQDKLP8NV7BDBIXG FOREIGN KEY(METAPATH_PATHKEY) REFERENCES PUBLIC.HIERARCHICALPATH(PATHKEY) NOCHECK;  
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.FKFNFYBXS1Y4AWWOM2WQ4FTRDH2 FOREIGN KEY(COMPRESSEDPATH_PATHKEY) REFERENCES PUBLIC.HIERARCHICALPATH(PATHKEY) NOCHECK;            
ALTER TABLE PUBLIC.CONFIRMATION ADD CONSTRAINT PUBLIC.FKND5410DFQQ62R7W1FDBISM5H8 FOREIGN KEY(SHIPPEDFILE_TICKETEDFILEKEY) REFERENCES PUBLIC.SHIPPEDFILE(TICKETEDFILEKEY) NOCHECK;             
ALTER TABLE PUBLIC.TICKETEDFILE ADD CONSTRAINT PUBLIC.FKT8TL27XKG7V18TOAXIMRY5VC9 FOREIGN KEY(LOCALREGISTRATION_REGISTRATIONKEY) REFERENCES PUBLIC.KNOWNREGISTRATION(REGISTRATIONKEY) NOCHECK; 
ALTER TABLE PUBLIC.PLACEDFILE ADD CONSTRAINT PUBLIC.FKLNRVK1KPKP5KBMGE8SJM9AANY FOREIGN KEY(TICKETEDFILEKEY) REFERENCES PUBLIC.TICKETEDFILE(TICKETEDFILEKEY) NOCHECK;          
ALTER TABLE PUBLIC.CONFIRMATION ADD CONSTRAINT PUBLIC.FKEEU6NBKV0VTWMJY4L6DV5FYVD FOREIGN KEY(DESTINATION_NEIGHBORKEY) REFERENCES PUBLIC.NEIGHBOR(NEIGHBORKEY) NOCHECK;        
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKHBMF9108SV87MR5ESWKSO49BR FOREIGN KEY(POINTOFINTEREST_POINTOFINTERESTKEY) REFERENCES PUBLIC.POI(POINTOFINTERESTKEY) NOCHECK;           
ALTER TABLE PUBLIC.HIERARCHICALPATH ADD CONSTRAINT PUBLIC.FKDF9GSAHM0HLL28N19GOSRYDVH FOREIGN KEY(PARENT_PATHKEY) REFERENCES PUBLIC.HIERARCHICALPATH(PATHKEY) NOCHECK;         
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKGKQLHIVYE5D9X3CA1JWR6H08V FOREIGN KEY(TYPE_POITYPEKEY) REFERENCES PUBLIC.POITYPE(POITYPEKEY) NOCHECK;           
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.FKLE7RSA4D2LRPKJAJTUVC6QMYJ FOREIGN KEY(LASTWATCHED_LASTWATCHEDKEY) REFERENCES PUBLIC.LASTWATCHED(LASTWATCHEDKEY) NOCHECK;   
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKF2ERW9J5MH3342UTU16ON4EGP FOREIGN KEY(GUID_POIGUIDKEY) REFERENCES PUBLIC.POIGUID(POIGUIDKEY) NOCHECK;           
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.FK3YY4XWXID2CCWI8DS5203FGN6 FOREIGN KEY(DATAPATH_PATHKEY) REFERENCES PUBLIC.HIERARCHICALPATH(PATHKEY) NOCHECK;  
ALTER TABLE PUBLIC.DISPATCH ADD CONSTRAINT PUBLIC.FK9T5CPDK3V7C46ENKPCKEWULFI FOREIGN KEY(TICKETEDFILE_TICKETEDFILEKEY) REFERENCES PUBLIC.TICKETEDFILE(TICKETEDFILEKEY) NOCHECK;               
ALTER TABLE PUBLIC.LOCALREGISTRATION ADD CONSTRAINT PUBLIC.FKB4XJHBCESPINI9TNPYA47101B FOREIGN KEY(REGISTRATIONKEY) REFERENCES PUBLIC.KNOWNREGISTRATION(REGISTRATIONKEY) NOCHECK;              
ALTER TABLE PUBLIC.INBOUNDREGISTRATION ADD CONSTRAINT PUBLIC.FKNDX4IUR7PRAX0YUYNFH3D1IGN FOREIGN KEY(KNOWNNEIGHBOR_NEIGHBORKEY) REFERENCES PUBLIC.NEIGHBOR(NEIGHBORKEY) NOCHECK;               
